/*
the data structure file to hold I/O configuration; has to agree to mdb file 
*/

#ifndef DEF_IO_DATA__
#define DEF_IO_DATA__

typedef struct IoDef 
{
	int8_t		pinNo;				//pin number
	char		devName[MAX_TRIM_IO_NAME_LEN];	//device name(switch, pd, etc.)
	int16_t		devID;				//device ID(switch id, pd id, etc.)

	char		devType;			//type of device(switch, PD, Misc, signal)
	char		devSubType;			//subtype of device(normal, reverse, etc.)
	//uint8_t	devType;			//type of device(switch, PD, Misc, signal)
	//uint8_t	devSubType;			//subtype of device(normal, reverse, etc.)

	//uint8_t	devHighLow;			//high true or low true
	char		devHighLow;			//high true or low true

	char		devIoType;			//input or output: o: leveled out; i:level in; I:pulse in; a:analog in
	//uint8_t	devIoType;			//input or output: o: leveled out; i:level in; I:pulse in; a:analog in
	//uint16_t devSlowTime;
} IO_DEF_DATA;
#endif
