#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <dirent.h>
#include <wchar.h>
#include <assert.h>
#include <unistd.h>
#include <sys/stat.h>

#include "include/DefCommon.h"
#include "include/DefConfig.h"

FILE *fp;
FILE *fp2;
FILE *fp1;
CONFIG_WEB_DATA cwData;			//web config data
char fileName[100];
void getAllConfig();
char tempStr[20];

short copyFile()
{
	int result = 0;
	char command[200];
	int tempLen = 0;

	if((fp = fopen (FILE_CONFIG_UPLOAD_PATH,"r")) != NULL)
	{
		fread(&cwData, sizeof(CONFIG_WEB_DATA), 1, fp);
		fclose(fp);

		//if(cwData.dataLen == sizeof(CONFIG_WEB_DATA))
		if(1 == 1)
		{	
			sprintf(command, "sudo /bin/cp -f %s %s", FILE_CONFIG_UPLOAD_PATH, FILE_CONFIG_PATH);
			result = system(command);

			if(result == 0)
			{
				//result = chmod(FILE_CONFIG_UPLOAD_PATH, S_IREAD | S_IWRITE| S_IEXEC);
				//if(result == 0)
				//{
					return RTN_SUCCESS;
				//}
			}
			else
			{
				return RTN_FAILURE;
			}
		}
		else
		{
			return RTN_FAILURE;
		}
	}
	else
	{
		return RTN_FAILURE;
	}
	return RTN_FAILURE;
}

void getAllConfig()
{
	sprintf(fileName,"/home/flexyard/flexyard/sysconfig/WebConfig.dat");

	memset(&cwData, 0x0, sizeof(CONFIG_WEB_DATA));
	if((fp2 = fopen (fileName,"r")) != NULL)
	{
		fread(&cwData, sizeof(CONFIG_WEB_DATA), 1, fp2);
		fclose(fp2);
	}
}

static int atoii (char *zzzz)
{
	int i = 0;
	int num=0;
	for(i = 0; i < 20; i++)
	{
		if(zzzz[i] >= '0' && zzzz[i] <= '9')
		{
			num = num * 10 + (zzzz[i] - '0');
		}
		else
		{
			break;
		}
	}
	return num;
}

char* getCgiData(FILE* fp, char* requestmethod)
{
	char* input;
	int len;
	char *pppp;
	int size = 1024;
	int i = 0;
	if(!strcmp(requestmethod, "GET"))
	{
		input = getenv("QUERY_STRING");
		return input;
	}
	else if (!strcmp(requestmethod, "POST"))
	{
		pppp = getenv("CONTENT_LENGTH");
		len = atoii(pppp);
		input = (char*)malloc(sizeof(char)*(size + 1));

		if (len == 0)
		{
			input[0] = '\0';
			return input;
		}

		fgets(input, len+1, stdin);
		input[len]='\0';
		return input;
	}

	return NULL;
}

static unsigned int tmppp=0;

char *getFileName(unsigned char *req)
{
	int i;
	int leng;
	tmppp=0;
	char *psz1; char *psz2;
	unsigned char *cur_post,*buf;

	//get filename keyword  
	if((psz1=strstr(req, "filename=")) == NULL)
	{
		return (char *)&tmppp;
	}

	//get pointer to actual filename (it's in quotes)
	psz1+=strlen("filename=");
	if((psz1 = strtok(psz1, "\"")) == NULL)
	{
		return (char *)&tmppp;
	}
	//remove leading path for both PC and UNIX systems
	if((psz2 = strrchr(psz1,'\\')) != NULL)
	{
		psz1 = psz2+1;
	}
	if((psz2 = strrchr(psz1,'/')) != NULL)
	{
		psz1 = psz2+1;
	}
	return psz1;
}

int main()
{
	char *reqMethod;
	char *wp;
	char *var = NULL;
	int len;
	long total, i, count;
	char *fileName, *ps1, *ps2;
	char *fileN;
	char Boundary[256];
	char errorBuf[200] = "";
	char tmpBuf[512];
	char filePath[256] = FILE_CONFIG_UPLOAD_PATH;//directory of uploaded file
	int tempLen = 0;
	FILE *fileBuf = NULL;
	reqMethod = getenv("REQUEST_METHOD");
	len = atoii(getenv("CONTENT_LENGTH"));
	printf("%s","Content-type:text/html \r\n\r\n");

	Boundary[0] = '\r';
	Boundary[1] = '\n';
	Boundary[2] = '\0';

	if(fgets(&Boundary[2], sizeof(Boundary)-2, stdin) == NULL)
	{
		sprintf(errorBuf,"%s","Get boundary failed !");
		goto error;
	}

	//strip terminating CR / LF
	if((ps1 = strchr(&Boundary[2],'\r')) != NULL)
	{
		*ps1 = '\0';
	}

	if((ps1 = strchr(&Boundary[2],'\n')) != NULL)
	{
		*ps1 = '\0';
	}

	fgets(tmpBuf, 512, stdin);
	fileName = getFileName(tmpBuf);
	//sprintf(fileName, FILE_CONFIG_UPLOAD_PATH);
	//strcat(filePath, fileName);

	memset(tmpBuf, 512, 0x00);
	fgets(tmpBuf, 512, stdin);
	memset(tmpBuf, 512, 0x00);
	fgets(tmpBuf, 512, stdin);

	if((fileBuf = fopen(filePath, "w")) == NULL)
	{
		sprintf(errorBuf, "%s", "File open error.");
		goto error;
	}

	//copy the file
	int totalLen = 0;
	while ((count = fread(tmpBuf, 1, 512, stdin)) != 0)
	{
printf("test00000 count=%d\n", count);
		if(count != 512)
		{
			totalLen += count;
			fwrite(tmpBuf, 1, count, fileBuf);
		}
		else
		{
			totalLen += 512;
			if((fwrite(tmpBuf, 1, count, fileBuf)) != count)
			{
				sprintf(errorBuf,"%s","Write file error.");
				goto error;
			}
		}
	}

	//re read last 128 bytes of file, handling files < 128 bytes
	if((count = ftell(fileBuf)) == -1)
	{
		goto error;
	}

	/*if (count > 128)
	{
		count = 128;
	}*/
	if (count > 64)
	{
		count = 64;
	}

	/*if (fseek(fileBuf, 0-count, SEEK_END) != 0)
	{
		goto error;
	}*/
	//get the new position
	if((total = ftell(fileBuf)) == -1)
	{
		goto error;
	}
//printf("test11111 count=%d\n", total);

	//and read the data from fileBuf
	count = fread(tmpBuf, 1, sizeof(tmpBuf), fileBuf);
	tmpBuf[count] = '\0';
	printf("count=%ld, total=%ld, totalLen=%ld<br>",count, total, totalLen);
	//determine offset of terminating boundary line
	for(i=0; i<=(count); i++)//-(long)strlen(Boundary)
	{
		//printf("%c",tmpBuf[i]);
		if(tmpBuf[i] == Boundary[0])
		{
			//printf("found /r<br>");
			if(strncmp(Boundary, &tmpBuf[i], strlen(Boundary)) == 0)
			{
				total+=i;
				//printf("find boudary.<br>");
				break;
			}
		}
	}
	//printf("<br>i=%ld<br>",i);
	//printf("total=%ld<br>",total);
	if(fseek(fileBuf,total, SEEK_SET) != 0)
	{
		goto error;
	}

	if((total = ftell(fileBuf)) == -1)
	{
		goto error;
	}
	//printf("total=%ld<br>",total);
	//truncate the terminating boundary line.
	int fd = fileno(fileBuf);
	ftruncate(fd,total);

	fflush(fileBuf);
	error:
	if(fileBuf != NULL)
	{
		fclose(fileBuf);
	}

	if(errorBuf[0] != '\0')
		printf("<script type='text/javascript' language='javascript'>alert('%s');parent.location.replace('../upload.html');</script>",errorBuf);
	else
	{
		if(copyFile() == RTN_SUCCESS)
		{
			getAllConfig();
			if((fp1 = fopen("/home/flexyard/flexyard/sysconfig/config_serial_port.txt", "w")) != NULL)
			{
				memset(tempStr, 0x0, sizeof(char) * 20);
				sprintf(tempStr, "%d", cwData.commData.baudRate);
				while(1 == 1)
				{
					if(tempStr[tempLen] && tempStr[tempLen] != '\0')
					{
						tempLen++;
					}
					else
					{
						break;
					}
					if(tempLen >= 20)
					{
						return -1;
					}
				}
				if(fwrite(&tempStr, tempLen, 1, fp1) != 1)
				{
					fclose(fp1);
				}
				else
				{
					fclose(fp1);
				}
			}
			//printf("<script type='text/javascript' language='javascript'>alert('File upload success! Need Reboot! t=%d');</script>", cwData.commData.baudRate);
			printf("<script type='text/javascript' language='javascript'>alert('File upload success! Need Reboot!');parent.location.replace('../reboot.html');</script>");
		}
		else
		{
			printf("<script type='text/javascript' language='javascript'>alert('%s');parent.location.replace('../upload.html');</script>", "copy file error");
		}
	}
	return;
}
